[arch-commits] Commit in scrot/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Apr 17 22:38:12 EDT 2009


    Date: Friday, April 17, 2009 @ 22:38:12
  Author: eric
Revision: 35891

Merged revisions 356,35884 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/scrot/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r35884 | eric | 2009-04-17 22:01:14 -0400 (Fri, 17 Apr 2009) | 2 lines
  
  upgpkg: scrot 0.8-3
      Added license, FHS man pages and docs, Added arch array
........

Modified:
  scrot/repos/extra-i686/	(properties)
  scrot/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)


Property changes on: scrot/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /scrot/trunk:1
   + /scrot/trunk:1-35890

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-18 02:36:10 UTC (rev 35890)
+++ extra-i686/PKGBUILD	2009-04-18 02:38:12 UTC (rev 35891)
@@ -2,16 +2,19 @@
 # Maintainer: Mark Rosenstand <mark at archlinux.org>
 pkgname=scrot
 pkgver=0.8
-pkgrel=2
+pkgrel=3
 pkgdesc="A simple command-line screenshot utility for X"
+arch=('i686' 'x86_64')
 url="http://linuxbrit.co.uk/scrot/"
+license=('MIT')
 depends=('giblib')
 source=(http://linuxbrit.co.uk/downloads/$pkgname-$pkgver.tar.gz)
 md5sums=('ccae904d225609571bdd3b03445c1e88')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --mandir=/usr/share/man || return 1
   make || return 1
-  make prefix=$startdir/pkg/usr install
+  make DESTDIR=$pkgdir docsdir=/usr/share/doc/scrot install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }



More information about the arch-commits mailing list